Package twisted :: Package web :: Module microdom :: Class Document

[frames | no frames]

## Class Document

    object --+
             |
          Node --+
                 |
                Document

Method Summary
| `__init__(self, documentElement)`
| `appendChild(self, c)`
| `cloneNode(self, deep, parent)`
| `createComment(self, text)`
| `createElement(self, name, **kw)`
| `createTextNode(self, text)`
| `get_documentElement(self)`
| `getElementById(self, id)`
| `getElementsByTagName(self, name)`
| `isEqualToDocument(self, n)`
| `writexml(self, stream, indent, addindent, newl, strip, nsprefixes, namespace)`
Inherited from Node
| ``__hash__`(self)`
| ``firstChild`(self)`
| ``hasChildNodes`(self)`
| ``insertBefore`(self, new, ref)`
| ``isEqualToNode`(self, n)`
| ``lastChild`(self)`
| ``removeChild`(self, child)`
| ``replaceChild`(self, newChild, oldChild)`
| ``toprettyxml`(self, indent, addindent, newl, strip)`
| ``toxml`(self, indent, addindent, newl, strip, nsprefixes, namespace)`
| ``writeprettyxml`(self, stream, indent, addindent, newl, strip)`
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__reduce__(...)`
| `__repr__(...)`
| `__setattr__(...)`
| `__str__(...)`
Inherited from type
| `__new__(...)`

Property Summary
| `documentElement`

Class Variable Summary
`NoneType` | `doctype` = None
Inherited from Node
`str` | `nodeName` = `'Node'`

Property Details

### documentElement

  Get Method:
    `get_documentElement`(self)

Class Variable Details

### doctype

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:55 2004 | http://epydoc.sf.net